This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 12483 - No provision for allowing the UA to remember muted state of videos
Summary: No provision for allowing the UA to remember muted state of videos
Status: RESOLVED WONTFIX
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-13 08:31 UTC by contributor
Modified: 2011-08-04 05:01 UTC (History)
6 users (show)

See Also:


Attachments

Description contributor 2011-04-13 08:31:16 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/video.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#user-interface

Comment:
No provision for allowing the UA to remember muted state of videos

Posted from: 83.218.67.122
User agent: Opera/9.80 (X11; Linux x86_64; U; en) Presto/2.8.131 Version/11.10
Comment 1 Philip J├Ągenstedt 2011-04-13 08:33:05 UTC
In http://www.w3.org/Bugs/Public/show_bug.cgi?id=10419#c5 Hixie argues that UA's should be able to remember the muted state of videos.

However, the spec does not appear to allow for a user to unmute a video that was muted using <video muted> and have that setting be remembered. Nor is it possible to set a site pref for all videos on a site to be unmuted at volume 0.5 by default. In both cases, the reason is the phrase "When a media element is created, if it has a muted attribute specified, the user agent must set the muted IDL attribute to true, overriding any user preference."
Comment 2 Ian 'Hixie' Hickson 2011-07-14 23:32:55 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: 

The whole point of muted="" is to override user preference. If you want to honour user preferences, don't use muted="".
Comment 3 Michael[tm] Smith 2011-08-04 05:01:58 UTC
mass-moved component to LC1